CRM Software for Economic Development Organizations
Phone: +1 805 967 1280 | email: sales@outreachsystems.com

What Internet browsers does Neoserra support?

Neoserra supports the following browsers:

  • Google Chrome 29, or above
  • Microsoft Internet Explorer 10, or above
  • Mozilla Firefox 24, or above
  • Safari 6, or above

While any of the above listed browsers can be used with Neoserra, OutreachSystems recommends the Chrome browser for its speed and integrated spell check capabilities.

Upon logging in to Neoserra with an unsupported browser, the login page will display a warning message letting you know that your browser is not supported. Additionally, your database administrator will be able to check the Administration|Status page and see if there are any users logged in using an unsupported browser:

Please be aware that Microsoft Internet Explorer 9.0, which was released on March 14, 2011, is not supported. If you are using IE9 then we recommend that you upgrade to the latest version of IE, or to one of the other browsers.

Important Note: If you have a more current version of Microsoft Internet Explorer installed but you have set your browser in "Compatibility Mode" then it will emulate an older version of the browser. If your browser emulates version IE 7 then it will not work with Neoserra. Neoserra requires that you use your browser in standard IE 9 or later mode. Please refer to the Microsoft support site on how you can turn compatibility mode off within your browser. (Both Internet Explorer 9 and Internet Explorer 10 offer a compatibility mode. Internet Explorer 11 renamed compatibility mode to "Emulation".)

Mobile Devices

Neoserra can be accessed from many standard mobile devices such as iPads, iPhones, and Adroids. However, there is currently no specific Neoserra app available for these devices.



Want more? Browse our extensive list of Neoserra FAQs.